{% extends "base.html" %}

{% block seo %}
  {{ super() }}

  {% if config.title %}
    {% set title = config.title %}
  {% else %}
    {% set title = "" %}
  {% endif %}
  
  {% if config.extra.title_addition and title %}
    {% set title_addition = title_separator ~ config.extra.title_addition %}
  {% elif config.extra.title_addition %}
    {% set title_addition = config.extra.title_addition %}
  {% else %}
    {% set title_addition = "" %}
  {% endif %}
  
  {% set description = config.description %}
  
  {{ macros_head::seo(title=title, title_addition=title_addition, description=description, is_home=true) }}
{% endblock seo %}

{% block content %}
<div class="wrap container" role="document">
  <div class="content">
    <section class="section container-fluid mt-n3 pb-3">
      <div class="row justify-content-center">
        <div class="col-lg-12 text-center">
          <h1 class="mt-0">{{ section.title | default(value="Handbook") }}</h1>
        </div>
        <div class="col-lg-9 col-xl-8 text-center">
          <p class="lead">{{ section.extra.lead | default(value="Please start setting config.toml and adding your content.") | safe }}</p>
        </div>
      </div>
    </section>
  </div>
</div>
<section class="section section-sm">
  <div class="container">
    <div class="row justify-content-center text-center">
    {% for path in section.subsections %}
      {% set subsection = get_section(path=path) %}
      {% if subsection.extra.featured %}
        <div class="col-lg-5">
          <h3 class="h3">{{ subsection.title }}</h3>
          <ul class="list-unstyled">
            {% for name, url in subsection.extra.featured %}
              <li><a href="{{ url | safe }}">{{ name }}</a></li>
            {% endfor %}
          </ul>
        </div>
      {% endif %}
    {% endfor %}
    </div>
  </div>
</section>
{% endblock content %}
